function generate_data_file_path, date, structName
    ; reminder of what date is: date = {AceTime}

    if (strpos(structName, 'cris') GE 0) then				       $
		baseDir = getenv('L1_CRIS_DATA_BASE_DIRECTORY')		       $
    else baseDir = getenv('L1_SIS_DATA_BASE_DIRECTORY')

    suffix = get_data_file_suffix_from_struct_name(structName)

    dirParts = str_sep(baseDir, '/')
    lastIndex = n_elements(dirParts) - 1
    for i = 0, lastIndex do begin
	if (dirParts[i] EQ 'data') then goto, OUT
    endfor
    print, baseDir, ' does not include a data directory.  Stopping.'
    stop

    OUT:
    namePrefix = ''
    for j = i + 1, lastIndex do begin
	namePrefix = namePrefix + dirParts[j] + '.'
    endfor

    yearString = strtrim(string(date.year), 2)

    monthString = strtrim(string(date.month), 2)
    if (strlen(monthString) EQ 1) then monthString = '0' + monthString

    yearMonthString = yearString + '.' + monthString

    mdayString = strtrim(string(date.day), 2)
    if (strlen(mdayString) EQ 1) then mdayString = '0' + mdayString

    dateString = yearMonthString + '.' + mdayString

    dir = baseDir
    if (strpos(dir, '/', strlen(dir) - 1) EQ -1) then dir = dir + '/'
    dir = dir + yearMonthString + '/' + dateString 

    filePath = dir + '/' + namePrefix + dateString + '.' + suffix
    return, filePath
end
