#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisLowPriorityRate *getDaysLoRates_c(int day1996,
						int autoFreeMemoryAllocation) {
    static struct L1CrisLowPriorityRate *pSaved = NULL;
    struct L1CrisLowPriorityRate *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisLowPriorityRate *)
			getDaysStructs(day1996, "L1CrisLowPriorityRate");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
