#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisSummary *getDaysSummarys_c(int day1996,
						int autoFreeMemoryAllocation) {
    static struct L1CrisSummary *pSaved = NULL;
    struct L1CrisSummary *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisSummary *) getDaysStructs(day1996, "L1CrisSummary");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
