#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisEventCycle *getEventCycleStruct_c(uint32 secondsSince1996,
						int autoFreeMemoryAllocation) {
    static struct L1CrisEventCycle *pSaved = NULL;
    struct L1CrisEventCycle *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisEventCycle *)
			getStruct(secondsSince1996, "L1CrisEventCycle");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
