#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisCommandTable *getCmdTableStruct_s(uint32 secondsSince1996,
						int autoFreeMemoryFlag) {
    static struct L1SisCommandTable *pSaved = NULL;
    struct L1SisCommandTable *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisCommandTable *)
			getStruct(secondsSince1996, "L1SisCommandTable");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
