#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisHighPriorityRate *getHiRateStruct_s(uint32 secondsSince1996,
						int autoFreeMemoryFlag) {
    static struct L1SisHighPriorityRate *pSaved = NULL;
    struct L1SisHighPriorityRate *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisHighPriorityRate *)
			getStruct(secondsSince1996, "L1SisHighPriorityRate");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
