function get_data_type_period_from_struct_name, structName
    if (strpos(structName, 'cris') GE 0) then begin
	common CrisSymbols
	if (strpos(structName, 'browse') GE 0) then			$
			return, G$_Cris.BrowseSampleTime
	if (strpos(structName, 'commandecho') GE 0) then		$
			return, G$_Cris.CmdEchoSampleTime
	if (strpos(structName, 'commandtable') GE 0) then		$
			return, G$_Cris.CmdTableSampleTime
	if (strpos(structName, 'diagnosticevent') GE 0) then		$
			return, G$_Cris.DiagnosticEventSampleTime
	if (strpos(structName, 'eventcycle') GE 0) then			$
			return, G$_Cris.EventCycleSampleTime
	if (strpos(structName, 'highpriorityrate') GE 0) then		$
			return, G$_Cris.HighPrioritySampleTime
	if (strpos(structName, 'hskp') GE 0) then			$
			return, G$_Cris.HskpSampleTime
	if (strpos(structName, 'lowpriorityrate') GE 0) then		$
			return, G$_Cris.LowPrioritySampleTime
	if (strpos(structName, 'subset') GE 0) then			$
			return, G$_Cris.SubsetSampleTime
	if (strpos(structName, 'summary') GE 0) then			$
			return, G$_Cris.SummarySampleTime
    endif								$
    else begin
	common SisSymbols
	if (strpos(structName, 'browse') GE 0) then			$
			return, G$_Sis.BrowseSampleTime
	if (strpos(structName, 'commandecho') GE 0) then		$
			return, G$_Sis.CmdEchoSampleTime
	if (strpos(structName, 'commandtable') GE 0) then		$
			return, G$_Sis.CmdTableSampleTime
	if (strpos(structName, 'dacoffset0') GE 0) then			$
			return, G$_Sis.DacOffset0SampleTime
	if (strpos(structName, 'dacoffset1') GE 0) then			$
			return, G$_Sis.DacOffset1SampleTime
	if (strpos(structName, 'diagnosticevent') GE 0) then		$
			return, G$_Sis.DiagnosticEventSampleTime
	if (strpos(structName, 'eventcycle') GE 0) then			$
			return, G$_Sis.EventCycleSampleTime
	if (strpos(structName, 'highpriorityrate') GE 0) then		$
			return, G$_Sis.HighPrioritySampleTime
	if (strpos(structName, 'hskp') GE 0) then			$
			return, G$_Sis.HskpSampleTime
	if (strpos(structName, 'lowpriorityrate') GE 0) then		$
			return, G$_Sis.LowPrioritySampleTime
	if (strpos(structName, 'subset') GE 0) then			$
			return, G$_Sis.SubsetSampleTime
	if (strpos(structName, 'summary') GE 0) then			$
			return, G$_Sis.SummarySampleTime
    endelse
end
