#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisCommandTable *getDaysCmdTables_c(int day1996,
						int autoFreeMemoryAllocation) {
    static struct L1CrisCommandTable *pSaved = NULL;
    struct L1CrisCommandTable *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisCommandTable *)
				getDaysStructs(day1996, "L1CrisCommandTable");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
