#include <stdio.h>
#include "hdfi.h"
#include "cris.h"
#include "crisGetData.h"
#include "crisSisGetUtilities.h"

struct L1CrisDiagnosticEvent *getDaysDiagnosticEvents_c( int day1996,
						int autoFreeMemoryAllocation) {
    static struct L1CrisDiagnosticEvent *pSaved = NULL;
    struct L1CrisDiagnosticEvent *p;

	/* this has no effect if pSaved == NULL */
    free(pSaved);

    p = (struct L1CrisDiagnosticEvent *)
			getDaysStructs(day1996, "L1CrisDiagnosticEvent");

    if (autoFreeMemoryAllocation) pSaved = p;
    else pSaved = NULL;

    return p;
}
