#include <stdio.h>
#include <string.h>
#include "hdfi.h"
#include "cris.h"
#include "sis.h"

uint32 getStopTimeStamp(void *pStruct, char *structName) {
    if (strstr(structName, "Cris") != NULL) {
        if (strcmp(structName, "L1CrisCommandTable") == 0) return
	    ((struct L1CrisCommandTable *) pStruct)->Second1996MinorFrame1;
        else if (strcmp(structName, "L1CrisCommandTableA") == 0) return
	    ((struct L1CrisCommandTableA *) pStruct)->Second1996MinorFrame1;
        else if (strcmp(structName, "L1CrisDiagnosticEvent") == 0) return
	    ((struct L1CrisDiagnosticEvent *) pStruct)->Second1996MinorFrame1;
    }
    else {
        if (strcmp(structName, "L1SisCommandTable") == 0) return
		((struct L1SisCommandTable *) pStruct)->Second1996MinorFrame1;
        else if (strcmp(structName, "L1SisDiagnosticEvent") == 0) return
	      ((struct L1SisDiagnosticEvent *) pStruct)->Second1996MinorFrame1;
    }
    return 0L;
}
