#include <stdio.h>
#include <string.h>
#include "hdfi.h"
#include "cris.h"
#include "sis.h"

int getStructSizeFromName(char *structName) {
    if (strstr(structName, "Cris") != NULL) {
	if (strcmp(structName, "BrowseCris") == 0)
	    return sizeof(struct BrowseCris);
	else if (strcmp(structName, "L1CrisCommandEcho") == 0)
	    return sizeof(struct L1CrisCommandEcho);
	else if (strcmp(structName, "L1CrisCommandTable") == 0)
	    return sizeof(struct L1CrisCommandTable);
	else if (strcmp(structName, "L1CrisCommandTableA") == 0)
	    return sizeof(struct L1CrisCommandTableA);
	else if (strcmp(structName, "L1CrisDiagnosticEvent") == 0)
	    return sizeof(struct L1CrisDiagnosticEvent);
	else if (strcmp(structName, "L1CrisEventCycle") == 0)
	    return sizeof(struct L1CrisEventCycle);
	else if (strcmp(structName, "L1CrisHighPriorityRate") == 0)
	    return sizeof(struct L1CrisHighPriorityRate);
	else if (strcmp(structName, "L1CrisHskp") == 0)
	    return sizeof(struct L1CrisHskp);
	else if (strcmp(structName, "L1CrisLowPriorityRate") == 0)
	    return sizeof(struct L1CrisLowPriorityRate);
	else if (strcmp(structName, "L1CrisSubset") == 0)
	    return sizeof(struct L1CrisSubset);
	else if (strcmp(structName, "L1CrisSummary") == 0)
	    return sizeof(struct L1CrisSummary);
    }
    else {
	if (strcmp(structName, "BrowseSis") == 0)
	    return sizeof(struct BrowseSis);
	else if (strcmp(structName, "L1SisCommandEcho") == 0)
	    return sizeof(struct L1SisCommandEcho);
	else if (strcmp(structName, "L1SisCommandTable") == 0)
	    return sizeof(struct L1SisCommandTable);
	else if (strcmp(structName, "L1SisDacOffset0") == 0)
	    return sizeof(struct L1SisDacOffset0);
	else if (strcmp(structName, "L1SisDacOffset1") == 0)
	    return sizeof(struct L1SisDacOffset1);
	else if (strcmp(structName, "L1SisDiagnosticEvent") == 0)
	    return sizeof(struct L1SisDiagnosticEvent);
	else if (strcmp(structName, "L1SisEventCycle") == 0)
	    return sizeof(struct L1SisEventCycle);
	else if (strcmp(structName, "L1SisHighPriorityRate") == 0)
	    return sizeof(struct L1SisHighPriorityRate);
	else if (strcmp(structName, "L1SisHskp") == 0)
	    return sizeof(struct L1SisHskp);
	else if (strcmp(structName, "L1SisLowPriorityRate") == 0)
	    return sizeof(struct L1SisLowPriorityRate);
	else if (strcmp(structName, "L1SisSubset") == 0)
	    return sizeof(struct L1SisSubset);
	else if (strcmp(structName, "L1SisSummary") == 0)
	    return sizeof(struct L1SisSummary);
    }

	/* if we got here, did not recognize the structure name */
    fprintf(stderr, "getStructSizeFromName: ERROR\n");
    fprintf(stderr, "  Struct name ->%s<- not recognized.  Exiting.\n\n",
								structName);
    exit(0);
}
