#include <stdio.h>
#include "hdfi.h"
#include "crisSisPutUtilities.h"
#include "utilities.h"

/*


*/

void writeHeader(int fd, int dataTypeID) {
    int i;
    static int headerBuffer[HEADER_BYTES / sizeof(int)];

	/* create the header */
    headerBuffer[0] = PATTERN_WORD;
    headerBuffer[1] = dataTypeID;
	/* unused */
    for (i = 2; i < 8; i++) headerBuffer[i] = CLEARED_WORD;

	/* write the header */
    writeToFile(fd, (char *) headerBuffer, HEADER_BYTES);
}
