#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisDiagnosticEvent *getDiagnosticEventStruct_s(
		uint32 secondsSince1996, int autoFreeMemoryFlag) {
    static struct L1SisDiagnosticEvent *pSaved = NULL;
    struct L1SisDiagnosticEvent *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisDiagnosticEvent *)
			getStruct(secondsSince1996, "L1SisDiagnosticEvent");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
