#include <stdio.h>
#include "hdfi.h"
#include "sis.h"
#include "sisGetData.h"
#include "crisSisGetUtilities.h"

struct L1SisCommandTable *getGroupCmdTables_s(uint32 secondsSince1996Start,
                    uint32 secondsSince1996Stop, int autoFreeMemoryFlag) {
    static struct L1SisCommandTable *pSaved = NULL;
    struct L1SisCommandTable *p;

	/* this has no effect if pSaved == NULL */
    if (autoFreeMemoryFlag) free(pSaved);

    p = (struct L1SisCommandTable *) getStructs(secondsSince1996Start,
				secondsSince1996Stop, "L1SisCommandTable");

    if (autoFreeMemoryFlag) pSaved = p;
    else pSaved = NULL;

    return p;
}
