
    /* to be used with setAppTerminatePermission and
	getAppTerminatePermission.  default value allows level1 routines
	to terminate the calling program.

	this variable is accessible only by using the following 2 routines.
    */
static int appTerminationPermission = 1;


    /* find out if level1 library has permission to terminate the program */
int getAppTerminatePermission(void) {
    return appTerminationPermission;
}


void setAppTerminatePermission(int permissionToTerminate) {

	/* allow level1 library routines to terminate program */
    if (permissionToTerminate) appTerminationPermission = 1;

	/* do not allow level1 library routines to terminate program */
    else appTerminationPermission = 0;
}
