#include <time.h>
#include "utilities.h"

int getDay1996FromSecondsSince1996(time_t secondsSince1996) {
    struct tm *pTimeStruct;
    int day1996;
    time_t secondsSince1996At12AM, secondsSoFar;
 
    pTimeStruct = getDateFromSecondsSince1996(secondsSince1996);
    pTimeStruct->tm_hour = 0;
    pTimeStruct->tm_min = 0;
    pTimeStruct->tm_sec = 0;
 
    secondsSince1996At12AM = getSecondsSince1996FromDate(pTimeStruct);
 
    day1996 = 1;
    secondsSoFar = 12L * 3600L;         /* get to middle of first day */
 
        /* secondsSoFar will always be around the middle of the day, so */
        /*     as soon as it passes the secondsAt12AM, we know we have */
        /*     the right day. */
 
    while (secondsSoFar < secondsSince1996At12AM) {
        secondsSoFar += 24L * 3600L;
        day1996++;
    }
 
    return day1996;
}
